MyDNSConfig install error:install.lib.php on line 135 (CentOS 5.5 x64 with ISPConfig)

Discussion in 'General' started by polonia2, Sep 27, 2010.

  1. polonia2

    polonia2 New Member

    Hello all,

    I follow The perfect server tutorial for CentOS 5.5 x64 but i need to change some things because i need php 5.2.10.

    I try to install the lastest version of MyDNSConfig (since the ISPConfig said that the service was offline) so i download and try php -q install.php


    --------------------------------------------------------------------------------
    __ __ _____ _ _ _____ _____ __ _
    | \/ | | __ \| \ | |/ ____|/ ____| / _(_)
    | \ / |_ _| | | | \| | (___ | | ___ _ __ | |_ _ __ _
    | |\/| | | | | | | | . ` |\___ \| | / _ \| '_ \| _| |/ _` |
    | | | | |_| | |__| | |\ |____) | |___| (_) | | | | | | | (_| |
    |_| |_|\__, |_____/|_| \_|_____/ \_____\___/|_| |_|_| |_|\__, |
    __/ | __/ |
    |___/ |___/
    --------------------------------------------------------------------------------


    >> Initial configuration

    PHP Notice: Undefined variable: distver in /root/mydnsconfig/install/lib/install.lib.php on line 135
    PHP Notice: Undefined variable: distid in /root/mydnsconfig/install/lib/install.lib.php on line 135
    PHP Notice: Undefined variable: distbaseid in /root/mydnsconfig/install/lib/install.lib.php on line 135
    Linux Distribution or Version not recognized.

    Did anyone face this error? How do i correct the installation?

    Cheers,

    Pedro
     
  2. polonia2

    polonia2 New Member

    MyDNSConfig install error solved...

    Hi all,

    The install runs as I change install/lib/install.lib.php on line 122+ from:

    if(stristr($content,'CentOS release 5.2 (Final)')) {
    $distname = 'CentOS';
    $distver = '5.2';
    $distid = 'centos52';
    $distbaseid = 'fedora';
    swriteln("Operating System: CentOS 5.2 or compatible\n"$

    to:

    if(stristr($content,'CentOS release 5.5 (Final)')) {
    $distname = 'CentOS';
    $distver = '5.5';
    $distid = 'centos52';
    $distbaseid = 'fedora';
    swriteln("Operating System: CentOS 5.5 or compatible\n"$
     
  3. till

    till Super Moderator Howtoforge Staff HowtoForge Supporter ISPConfig Developer

    Installing mydnsconfig on a server that runs already ispconfig will break the setup and does not make any sense, as ispconfig contains a newer version of mydnsconfig.
     

Share This Page